
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
Index: linux-2.6.17-rc4/kernel/kgdb.c
===================================================================
--- linux-2.6.17-rc4.orig/kernel/kgdb.c	2006-06-09 17:16:43.000000000 +0100
+++ linux-2.6.17-rc4/kernel/kgdb.c	2006-06-09 17:16:49.000000000 +0100
@@ -1410,6 +1410,19 @@ int kgdb_handle_exception(int ex_vector,
 			}
 			break;
 
+#ifdef CONFIG_X86
+		case 'r':	/* reboot */
+		{
+			static struct {
+				unsigned short size;
+				unsigned long long *base;
+			} no_idt = { 0, NULL };
+			strcpy(remcom_out_buffer, "OK");
+			put_packet(remcom_out_buffer);
+			__asm__ __volatile__("lidt %0"::"m"(no_idt));
+			break;
+		}
+#endif
 			/* Query thread status */
 		case 'T':
 			ptr = &remcom_in_buffer[1];
